PIDOF(1)

NAZWA
pidof - wyszukiwanie identyfikatora procesu działającego programu.

SKŁADNIA
pidof [-s] [-c] [-x] [-o omitpid[,omitpid..]] [-o omitpid[,omitpid..]..] [-S separator] program [program..]

OPIS
Pidof znajduje identyfikatory procesów (pidy) programów o podanych nazwach i wypisuje je na standardowym wyjściu.

OPCJE

-s  Tryb pojedynczy - program zwróci tylko jeden pid.

-c  Zwrócenie tylko identyfikatorów procesów działających z tym samym katalogiem głównym. Ta opcja jest ignorowana dla użytkowników innych niż root, ponieważ wtedy nie można sprawdzić katalogu głównego procesów, których nie jest się właścicielem.

-x  Także skrypty - program zwróci także identyfikatory procesów powłok wykonujących skrypty o podanych nazwach.

-o pid_wykl
    Pominięcie procesów o podanym identyfikatorze. Specjalny pid %PPID oznacza rodzica procesu programu pidof, czyli powłokę lub skrypt go uruchamiający.

-S separator
    Use separator as a separator put between pids. Used only when more than one pids are printed for the program.

KOD WYJŚCIA

0   Znaleziono przynajmniej jeden program o żądanej nazwie.

1   Nie znaleziono żadnego programu o żądanej nazwie.

BŁĘDY
When using the -x option, pidof only has a simple method for detecting scripts and will miss scripts that, for example, use env. This limitation is due to how the scripts look in the proc filesystem.

ZOBACZ TAKŻE
pgrep(1), pkill(1)

AUTOR
Jaromir Capik <jcapik@redhat.com>